import { Application, ChannelService, FrontendSession, RemoterClass, HandlerService, } from 'pinus';
export default function (app: Application) {
    new HandlerService(app, {});
    return new GateRemote(app);
}

export class GateRemote {

    constructor(private app: Application) {
        this.app = app;
        this.channelService = app.get('channelService');
    }

    private channelService: ChannelService;

}